#include<time.h>
#include<windows.h>
using namespace std;


class GETTIME {
private:
	time_t nowsec;
	tm* nowtime;

public:
	bool isLeapYear(int n) {
		if (n % 400 == 0)return 1;
		if (n % 100 == 0)return 0;
		if (n % 4 == 0)return 1;
		return 0;
	}

	void getNowTime() {//现在的秒数（0为1970.1.1 0:0:0） 
		time(&nowsec);
		nowtime = localtime(&nowsec);
	}

	long long year() {//年 
		getNowTime();
		return 1900 + nowtime->tm_year;
	}
	long long month() {//月 
		getNowTime();
		return 1 + nowtime->tm_mon;
	}
	long long date() {//一个月中的日数 
		getNowTime();
		return nowtime->tm_mday;
	}
	long long yeardate() {//一年中的日数 
		getNowTime();
		return nowtime->tm_yday;
	}
	long long hour() {//一天中的小时数 
		getNowTime();
		return nowtime->tm_hour;
	}
	long long minutes() {//小时中的分钟数 
		getNowTime();
		return nowtime->tm_min;
	}
	long long seconds() {//分钟中的秒数 
		getNowTime();
		return nowtime->tm_sec;
	}
	long long day() {//星期中的天数 
		getNowTime();
		return nowtime->tm_wday;
	}
}TIME;